Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.PortableInterceptor
Interface ORBInitInfoOperations

All Known Subinterfaces:
  ORBInitInfo

public interface ORBInitInfoOperations

Interface definition : ORBInitInfo

Author:
  OpenORB Compiler

Method Summary
`void` | `add_client_request_interceptor(ClientRequestInterceptor interceptor)` Operation add_client_request_interceptor
`void` | `add_ior_interceptor(IORInterceptor interceptor)` Operation add_ior_interceptor
`void` | `add_server_request_interceptor(ServerRequestInterceptor interceptor)` Operation add_server_request_interceptor
`int` | `allocate_slot_id()` Operation allocate_slot_id
`java.lang.String[]` | `arguments()` Read accessor for arguments attribute
`CodecFactory` | `codec_factory()` Read accessor for codec_factory attribute
`java.lang.String` | `orb_id()` Read accessor for orb_id attribute
`void` | `register_initial_reference(java.lang.String id, Object obj)` Operation register_initial_reference
`void` | `register_policy_factory(int type, PolicyFactory policy_factory)` Operation register_policy_factory
`Object` | `resolve_initial_references(java.lang.String id)` Operation resolve_initial_references

Method Detail

### arguments

    public java.lang.String[] arguments()

  Read accessor for arguments attribute
  Returns:
    the attribute value

### orb_id

    public java.lang.String orb_id()

  Read accessor for orb_id attribute
  Returns:
    the attribute value

### codec_factory

    public CodecFactory codec_factory()

  Read accessor for codec_factory attribute
  Returns:
    the attribute value

### register_initial_reference

    public void register_initial_reference(java.lang.String id,
                                           Object obj)
                                    throws InvalidName

  Operation register_initial_reference

### resolve_initial_references

    public Object resolve_initial_references(java.lang.String id)
                                      throws InvalidName

  Operation resolve_initial_references

### add_client_request_interceptor

    public void add_client_request_interceptor(ClientRequestInterceptor interceptor)
                                        throws DuplicateName

  Operation add_client_request_interceptor

### add_server_request_interceptor

    public void add_server_request_interceptor(ServerRequestInterceptor interceptor)
                                        throws DuplicateName

  Operation add_server_request_interceptor

### add_ior_interceptor

    public void add_ior_interceptor(IORInterceptor interceptor)
                             throws DuplicateName

  Operation add_ior_interceptor

### allocate_slot_id

    public int allocate_slot_id()

  Operation allocate_slot_id

### register_policy_factory

    public void register_policy_factory(int type,
                                        PolicyFactory policy_factory)

  Operation register_policy_factory

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD